All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.servlet.tbeans.tableview.rpf.html
Class TextAction

    com.sas.servlet.tbeans.tableview.rpf.html.TextAction

All Implemented Interfaces:
  ActionProviderViewInterface, HttpActionProviderInterface, HttpActionProviderViewInterface, com.sas.beans.PropertyChangeSource, com.sas.lang.ObjectDataInterface, com.sas.rpf.ActionInterface, RenderableInterface, StyleInterface, com.sas.servlet.tbeans.tableview.rpf.LocationInterface, TableCellContentsRenderer, com.sas.servlet.tbeans.TitleInterface, TransformationInterface, URLInterface, com.sas.util.WriteToPrintWriterInterface, java.io.Serializable

    @SASScope(value="ALL")
    public class TextAction

implements com.sas.rpf.ActionInterface, com.sas.servlet.tbeans.tableview.rpf.LocationInterface

See Also:
  Serialized Form

Constructor Summary
`TextAction()`

Method Summary
`ActionLocation` | `getLocation()`
`void` | `setLocation(ActionLocation location)`
`void` | `setText(java.lang.String text, ActionLocation location)`

Methods inherited from class com.sas.servlet.tbeans.tableview.html.CellContentsLabelRenderer
`getActions, getCellContentsRendererComponent, getTableView, setActions, setLocale, setTableView, write`

Methods inherited from class com.sas.servlet.tbeans.BaseLabel
`getActionProvider, getActionSupportType, getFor, getNullTextString, getStyleInfo, getTarget, getText, getTitle, getURL, isEncodedURL, isEncodeText, setEncodedURL, setEncodeText, setFor, setNullTextString, setStyleInfo, setTarget, setText, setTitle, setURL`

Methods inherited from class com.sas.servlet.tbeans.BaseActionTransformation
`dispose, getUniqueId, isActionVisible, listActionTypes, listAreaTypes, setActionProvider, setActionSupportType, setActionVisible, setUniqueId`

Methods inherited from class com.sas.servlet.tbeans.BaseTransformation
`addPropertyChangeListener, addPropertyChangeListener, cleanUpResources, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getCustomAttributes, getDescription, getId, getInputTransform, getLocale, getName, getObjectData, getObjectDataProperty, getOutputTransform, getRequest, getResponse, getTagEpilog, getTagProlog, hasListeners, isCleanUpResourcesOn, isVisible, removePropertyChangeListener, removePropertyChangeListener, setCleanUpResourcesOn, setCustomAttributes, setDescription, setId, setInputTransform, setLocaleDependentProperties, setName, setObjectData, setObjectDataProperty, setOutputTransform, setRequest, setResponse, setTagEpilog, setTagProlog, setVisible, toString, write, write, write`

Methods inherited from interface com.sas.servlet.tbeans.TransformationInterface
`getCustomAttributes, getDescription, getId, getLocale, getName, getRequest, getResponse, getTagEpilog, getTagProlog, isVisible, setCustomAttributes, setDescription, setId, setName, setRequest, setResponse, setTagEpilog, setTagProlog, setVisible, write, write, write`

Methods inherited from interface com.sas.actionprovider.HttpActionProviderViewInterface
`getRequest, setRequest`

Constructor Detail

### TextAction

    public TextAction()

Method Detail

### getLocation

    public ActionLocation getLocation()

  Specified by:
    `getLocation` in interface `com.sas.servlet.tbeans.tableview.rpf.LocationInterface`
  Returns:
    Returns the location.

### setLocation

    public void setLocation(ActionLocation location)

  Parameters:
    `location` - The location to set.

### setText

    public void setText(java.lang.String text,
                        ActionLocation location)

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.